import { StiLabelAlignment, StiVerticalAlignment } from "../../system/enums";
import { StiChangesInterceptor } from "../../system/interfaces";
import StiJson from "../../system/StiJson";
import { StiDescriptionSettings } from "./StiDescriptionSettings";
export declare class StiLabelSettings extends StiDescriptionSettings {
    changesInterceptor: StiChangesInterceptor;
    protected _alignment: StiLabelAlignment;
    protected _verticalAlignment: StiVerticalAlignment;
    protected _width: number;
    constructor(changesInterceptor: StiChangesInterceptor);
    propertyChanged(propName: string, value: any, oldObject: any): void;
    get alignment(): StiLabelAlignment;
    set alignment(value: StiLabelAlignment);
    get verticalAlignment(): StiVerticalAlignment;
    set verticalAlignment(value: StiVerticalAlignment);
    get width(): number;
    set width(value: number);
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
}
